Bug 986926 - Infinispan Query Guide - ECS Review
Infinispan Query Guide - ECS Review
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.2.0
Assigned To: Mandar Joshi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 08:50 EDT by Mandar Joshi
Modified: 2015-08-31 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:51:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mandar Joshi 2013-07-22 08:50:38 EDT
A complete review of the Infinispan Query Guide for JBoss Data Grid 6.2
Comment 1 Mandar Joshi 2013-07-22 09:00:40 EDT
Started reviewing the Infinispan Query Guide.
Started from the last chapter.

July 22, 2013 status.
Edited the following topics:

Chapter 12. Advanced Features
12.4. Sharding Indexes
12.5. Sharing Indexes
12.6.1. About Using External Services
12.6.2.2. Managed Services

Chapter 11. Monitoring
11.2. About Java Management Extensions (JMX)
11.5. IndexControlMBean

Chapter 10. Index Optimization
10.1. About Index Optimization

Chapter 9. Manual Index Changes
9.3. Deleting Instances from the Index
9.4.1. About Rebuilding the Whole Index
9.4.2. Using flushToIndexes()
Comment 3 Misha H. Ali 2013-07-22 19:38:50 EDT
Adding relevant flags, updating reported version and target version.
Comment 4 Mandar Joshi 2013-07-24 12:10:25 EDT
23rd july status.

Reviewed and Edited the following topics:

Chapter 8. Querying
8.1. About Querying
8.2.3.1. Building a Lucene Query
8.3.4. ResultTransformer
8.5.2. Creating a Faceting Request
8.5.4. Restricting Query Results

Chapter 7. Mapping Entities to the Index Structure
7.2.3. @Field
7.2.4. @NumericField
7.4. Embedded and Associated Objects
7.7.3. Named Analyzers
7.7.4. Available Analyzers

Chapter 6. Annotating Objects and Storing Indexes
6.3.2. The Infinispan Directory
Comment 5 Mandar Joshi 2013-07-24 12:13:20 EDT
July 24, 2013 status.

Reviewed and Edited the following topics:

Chapter 5. Configuration Options
5.6.1. Tuning Lucene Indexing Performance

Chapter 4. Set Up and Configure Infinispan Query
4.1.2. Configuring Infinispan Query

Chapter 3. Architecture
3.2.3. JMS
3.3.3. Custom Reader Strategies

Chapter 2. Getting Started with Infinispan Query
No Topics

Chapter 1. Red Hat JBoss Data Grid       
No Topics
Comment 7 Misha H. Ali 2013-11-07 17:51:11 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.